std::extent< typename, _Uint > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

Inheritance diagram for std::extent< typename, _Uint >:
[legend]

## Public Types

using | type
using | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept

## Static Public Attributes

static constexpr size_t | value

## Detailed Description

template<typename, unsigned _Uint = 0>
struct std::extent< typename, _Uint >

extent

Definition at line 1449 of file type_traits.

## Member Typedef Documentation

## type

using std::integral_constant< size_t, __v >::type

inherited

Definition at line 91 of file type_traits.

## value_type

using std::integral_constant< size_t, __v >::value_type

inherited

Definition at line 90 of file type_traits.

## Member Function Documentation

## operator value_type()

std::integral_constant< size_t, __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 92 of file type_traits.

## Member Data Documentation

## value

size_t std::integral_constant< size_t, __v >::value

static constexpr inherited

Definition at line 89 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits